Bug 89022

Summary: FileWriter progress events should be throttled to 50ms
Product: WebKit Reporter: Eric U. <ericu>
Component: DOMAssignee: Eric U. <ericu>
Status: RESOLVED FIXED    
Severity: Normal CC: haraken, kinuko, levin, tkent
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch tkent: review+

Description Eric U. 2012-06-13 10:58:54 PDT
As stated in the FIXME in the code, the spec requires an event no more often than every 50ms, but with at least one at completion.
Comment 1 Eric U. 2012-06-13 12:31:12 PDT
Created attachment 147389 [details]
Patch
Comment 2 Kinuko Yasuda 2012-06-14 18:58:54 PDT
The change looks good to me.
Comment 3 Kent Tamura 2012-06-14 19:08:47 PDT
Comment on attachment 147389 [details]
Patch

Looks ok.
Comment 4 Eric U. 2012-06-19 10:25:22 PDT
Committed r120728: <http://trac.webkit.org/changeset/120728>